<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Components;

class Discriminator
{
    public function __construct(
        private string $propertyName,
        private ?array $mapping = null,
    ) {
    }

    public function getPropertyName(): string
    {
        return $this->propertyName;
    }

    public function getMapping(): ?array
    {
        return $this->mapping;
    }
}
