<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Paths;

class ExternalDocumentation
{
    public function __construct(
        private string $url,
        private ?string $description = null,
    ) {
    }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }
}
