<?php

declare(strict_types=1);

namespace IQDev\OpenAPI\Model\Paths;

use IQDev\OpenAPI\Model\Components\Parameter;

class Operation
{
    private ?array $tags = null;

    private ?string $summary = null;

    private ?string $description = null;

    /** @var ExternalDocumentation[] */
    private ?array $externalDocs = null;

    private ?string $operationId = null;

    /** @var Parameter[] */
    private ?array $parameters = null;
}
