<?php

namespace IQDev\OpenAPI\Model\Info;

class Version
{
    public function __construct(private int $major, private int $minor, private int $patch)
    {
    }

    public function getMajor(): int
    {
        return $this->major;
    }

    public function getMinor(): int
    {
        return $this->minor;
    }

    public function getPatch(): int
    {
        return $this->patch;
    }
}
